server:
  port: 9602
  servlet:
    context-path: /brest

#配置是否为debug模式，debug模式下，不开启权限校验
debug: false

#datasource数据源设置
spring:
  datasource:
    url: jdbc:mysql://192.168.0.63:21100/gratia_pay?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&useSSL=false
    username: gratia_pay
    password: HUfukeji123456!@#
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.jdbc.Driver
    filters: stat
    maxActive: 10
    initialSize: 5
    maxWait: 60000
    minIdle: 5
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    validationQuery: select 'x'
    testWhileIdle: true
    testOnBorrow: false
    testOnReturn: false
    poolPreparedStatements: true
    maxOpenPreparedStatements: 20
  redis:
    database: 2
    host: 127.0.0.1
    port: 36379
    password: HF123456.Redis
    timeout: 1000
    jedis:
      pool:
        max-active: 20
        max-wait: -1
        max-idle: 10
        min-idle: 0
  #配置日期返回至前台为时间戳
  jackson:
    serialization:
      write-dates-as-timestamps: true
  #MQTT配置信息
  mqtt:
    #MQTT服务地址
    url: ws://140.210.192.36:8083/mqtt
    #用户名
    username: printer_provider
    #密码
    password: abcd123!
    #客户端id(不能重复)
    # client:
    # id: provider-id
    #MQTT默认的消息推送主题，实际可在调用接口是指定
    # default:
    # topic: topic
jetcache:
  statIntervalMinutes: 15
  areaInCacheName: false
  local:
    default:
      type: linkedhashmap
      keyConvertor: fastjson
  remote:
    default:
      type: redis
      host: 127.0.0.1
      port: 36379
      password: HF123456.Redis
      database: 2
      keyConvertor: fastjson
      broadcastChannel: projectA
      valueEncoder: java
      valueDecoder: java
      poolConfig:
        minIdle: 5
        maxIdle: 20
        maxTotal: 50
mybatis:
  mapperLocations:
  - classpath*:sqlmap*/*.xml
  type-aliases-package:
    org.springboot.sample.entity

pagehelper:
  helperDialect: mysql
  reasonable: true
  supportMethodsArguments: true
  params: count=countSql
